| Bsoft 2.0.5 Bernard's software package

Functions | Variables
ps_marker.cpp File Reference

Methods for postscript tools dealing with markers. More...

`#include "ps_marker.h"`
`#include "ps_plot.h"`
`#include "linked_list.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
int | ps_marker_errors (Bstring &filename, Bmarker *set1, Bmarker *set2, Transform t, Vector3< int > size, float err_scale)
| Output a postscript file that graphs the deviations of points in a Bmarker from their predicted location (using the transform parameters). More...
int | ps_marker_match (Bmarker *set1, Bmarker *set2, Bstring &filename)
| Output a postscript file that draws a line between matching features in a pair of coordinate sets. More...

## Variables
int | verbose

## Detailed Description

Methods for postscript tools dealing with markers.

Author
  Samuel Payne and Bernard Heymann

Date
  Created: 20010725
  Modified: 20120421 (BH)

Definition in file ps_marker.cpp.

## Function Documentation

## ◆ ps_marker_errors()

int ps_marker_errors | ( | Bstring & | filename,
|  | Bmarker * | set1,
|  | Bmarker * | set2,
|  | Transform | t,
|  | Vector3< int > | size,
|  | float | err_scale
| ) |  |

Output a postscript file that graphs the deviations of points in a Bmarker from their predicted location (using the transform parameters).

Author
  Samuel Payne & Bernard Heymann A bunch of print statements to a file.

Parameters

  filename |
  *set1 | the first set of point(refset).
  *set2 | the second set of point(applyset).
  t | the transform parameters.
  size | size of image or frame around markers.
  err_scale | scaling factor for the error.

Returns
  int 0

Definition at line 34 of file ps_marker.cpp.

## ◆ ps_marker_match()

int ps_marker_match | ( | Bmarker * | set1,
|  | Bmarker * | set2,
|  | Bstring & | filename
| ) |  |

Output a postscript file that draws a line between matching features in a pair of coordinate sets.

Author
  Samuel Payne A bunch of print statements to a file.

Parameters

  *set1 | the first set of coordinates
  *set2 | second set of coordinates
  &filename | name of file to be written

Returns
  int 0

Definition at line 124 of file ps_marker.cpp.

## Variable Documentation

## ◆ verbose

int verbose